package main

import (
	"context"
	"eta/eta_forum_hub/models/mgodb"
	_ "eta/eta_forum_hub/routers"
	"fmt"
	beego "github.com/beego/beego/v2/server/web"
)

func main() {
	if beego.BConfig.RunMode == "dev" {
		beego.BConfig.WebConfig.DirectoryIndex = true
		beego.BConfig.WebConfig.StaticDir["/swagger"] = "swagger"
	}

	beego.Run()
	defer func() {
		fmt.Println("mongodb disconnect")
		if err := mgodb.MgoClient.Disconnect(context.TODO()); err != nil {
			panic(err)
		}
	}()
}
